Skip to main content
GET
/
v1
/
cdr
/
{uuid}
/
transcription
Retrieve transcription
curl --request GET \
  --url https://api.wavix.com/v1/cdr/{uuid}/transcription \
  --header 'Authorization: Bearer <token>'
{
  "transcript": {
    "16572026750": "",
    "16465292513": ""
  },
  "turns": [
    {
      "type": "46844685344",
      "s": 160,
      "e": 7280,
      "text": "Hello, how can I help you?"
    },
    {
      "type": "+16572026750",
      "s": 2400,
      "e": 3280,
      "text": "Hello, I have a question about my bill."
    }
  ],
  "uuid": "e84f350f-6da7-4b56-80eb-41dec572626b",
  "language": "en",
  "duration": 102,
  "charge": "0.01",
  "status": "completed",
  "transcription_date": "2023-01-09T10:04:39.734Z",
  "call_date": "2023-01-09T10:01:13.394Z",
  "call_uuid": "bbaa37bf-430a-46da-ade3-c248e4070161",
  "call_score": "3.8",
  "call_summary": "The agent and client discussed billing issues."
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

uuid
string
required

Call ID.

Example:

"bbaa37bf-430a-46da-ade3-c248e407016"

Response

Call transcription.

transcript
object
required

Mapping of phone numbers in the call to transcript text.

Example:
{ "16572026750": "", "16465292513": "" }
turns
TranscriptTurn · object[]
required

List of speaker turns with text and start/end times.

Example:
[
{
"type": "46844685344",
"s": 160,
"e": 7280,
"text": "Hello, how can I help you?"
},
{
"type": "+16572026750",
"s": 2400,
"e": 3280,
"text": "Hello, I have a question about my bill."
}
]
uuid
string
required

Transcription ID.

Example:

"e84f350f-6da7-4b56-80eb-41dec572626b"

language
enum<string> | null
required

Language.

Available options:
en,
de,
es,
fr,
it,
null
duration
integer<int32>
required

Call duration in seconds.

Example:

102

charge
string
required

Total charge for the transcription in USD.

Example:

"0.01"

status
enum<string>
required

Transcription status.

Available options:
completed,
failed
transcription_date
string<date-time>
required

Date and time when the transcription was processed in ISO 8601 format.

Example:

"2023-01-09T10:04:39.734Z"

call_date
string<date-time>
required

Date and time when the call was placed or received in ISO 8601 format.

Example:

"2023-01-09T10:01:13.394Z"

call_uuid
string
required

Associated call ID.

Example:

"bbaa37bf-430a-46da-ade3-c248e4070161"

call_score
string
required

Call sentiment score. Indicates negative (1.0-3.0), neutral, or positive (4.0-5.0).

Example:

"3.8"

call_summary
string
required

One- or two-sentence call summary.

Example:

"The agent and client discussed billing issues."